Bug 847854 - [NV1f] massive corruption with GLX and on gdm login screen
[NV1f] massive corruption with GLX and on gdm login screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 15:02 EDT by Ian Collier
Modified: 2015-02-18 08:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:45:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of gdm login page (317.51 KB, image/png)
2012-08-13 15:02 EDT, Ian Collier
no flags Details
screenshot of glxgears window (8.33 KB, image/png)
2012-08-13 15:06 EDT, Ian Collier
no flags Details
X server log (23.88 KB, text/plain)
2012-08-13 15:09 EDT, Ian Collier
no flags Details
dmesg (52.64 KB, text/plain)
2012-08-13 15:11 EDT, Ian Collier
no flags Details

  None (edit)
Description Ian Collier 2012-08-13 15:02:09 EDT
Created attachment 604075 [details]
screenshot of gdm login page

This is an old x86 (32-bit) computer with on-board Geforce4 MX [10de:01f0] updated to current F17.  It previously had F15, but that didn't work for a different reason (bug 598767).

2D graphics appear to be OK now, but anything involving GLX in a large enough window is so corrupted as to be almost unusable.  This includes the gdm login screen (but kdm is OK).

The main features of the corruption involve (a) alternate pixel lines being blank, and (b) 16-pixel-wide columns being mixed up.

The blank pixel lines are black in the screenshots I'm about to attach, but they can often also be white and will occasionally contain copies of irrelevant graphics that were previously on the screen.

If I log in under GNOME, my whole desktop is corrupted.  If I manage to start a terminal and type "killall gnome-shell" the corruption disappears.  If I then start glxgears, the corruption is visible only inside the glxgears window - this also applies to a couple of other random GL demos I tested.  If the glxgears window has a width of 320 pixels or less, it displays fine; if it's enlarged to 321 pixels, it's corrupted.  This also appears to be true of the other demos I tested, although in the case of atlantis (from xscreensaver), the magic number is 192 instead of 320.  In addition, there is no restriction on height of the window.

Version-Release number of selected component (if applicable):
kernel-PAE-3.5.1-1.fc17.i686
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.i686
Comment 1 Ian Collier 2012-08-13 15:06:14 EDT
Created attachment 604076 [details]
screenshot of glxgears window
Comment 2 Ian Collier 2012-08-13 15:09:54 EDT
Created attachment 604077 [details]
X server log

PS. xorg.conf is not present, and the only entry in xorg.conf.d is the 00-system-setup-keyboard.conf put there by the system-setup-keyboard RPM.
Comment 3 Ian Collier 2012-08-13 15:11:34 EDT
Created attachment 604078 [details]
dmesg
Comment 4 Fedora End Of Life 2013-07-03 17:05:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 17:53:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Ian Collier 2013-08-01 18:24:41 EDT
Exactly same behaviour under Fedora 19.

kernel-PAE-3.10.3-300.fc19.i686
xorg-x11-server-Xorg-1.14.2-7.fc19.i686
xorg-x11-drv-nouveau-1.0.7-1.fc19.i686

GNOME only survives for a minute or so before saying something went wrong and inviting me to log out.  The magic numbers mentioned above are different: 448 for glxgears and 320 for atlantis.

However, I'm probably decommissioning this hardware soon.
Comment 7 Fedora End Of Life 2015-01-09 17:00:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:45:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.